# Uses of Interface
java.lang.classfile.constantpool.FloatEntry

Packages that use FloatEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of FloatEntry in java.lang.classfile

Methods in java.lang.classfile that return FloatEntry
Modifier and Type
Method
Description
`FloatEntry`
AnnotationValue.OfFloat.`constant()`
Returns the backing float entry.
Methods in java.lang.classfile with parameters of type FloatEntry
Modifier and Type
Method
Description
`static AnnotationValue.OfFloat`
AnnotationValue.`ofFloat(FloatEntry value)`
Returns a float value for an element-value pair.

## Uses of FloatEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return FloatEntry
Modifier and Type
Method
Description
`FloatEntry`
ConstantPoolBuilder.`floatEntry(float value)`
Returns a `FloatEntry` describing the provided value.